Skip to main content
GET
/
sites
/
environments
/
{env_id}
/
plugins
Get list of WordPress Site plugins
curl --request GET \
  --url https://api.kinsta.com/v2/sites/environments/{env_id}/plugins \
  --header 'Authorization: Bearer <token>'
{
  "environment": {
    "id": "54fb80af-576c-4fdc-ba4f-b596c83f15b2",
    "container_info": {
      "id": "54fb80af-576c-4fdc-ba4f-b596c83f15c3",
      "wp_plugins": {
        "data": [
          {
            "name": "akismet",
            "title": "Akismet Anti-Spam: Spam Protection",
            "status": "active",
            "version": "1.0.0",
            "update": "available",
            "update_version": "1.0.1",
            "update_status": "updated"
          }
        ]
      }
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

env_id
string
required
Example:

"54fb80af-576c-4fdc-ba4f-b596c83f15a1"

Response

Successfully found WP plugins

environment
object
required